<?php
$options = get_option('pixelmag');	

/*------------[ Meta ]-------------*/
if ( ! function_exists( 'mts_meta' ) ) {
	function mts_meta() { 
	global $options
?>
<?php if ($options['mts_favicon'] != '') { ?>
<link rel="icon" href="<?php echo $options['mts_favicon']; ?>" type="image/x-icon" />
<?php } ?>
<!--iOS/android/handheld specific -->	
<link rel="apple-touch-icon" href="apple-touch-icon.png">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<?php }
}

/*------------[ Head ]-------------*/
if ( ! function_exists( 'mts_head' ) ) {
	function mts_head() { 
	global $options
?>
<!--start fonts-->
<?php if ($options['mts_title_font'] == 'Arial') { ?>
<?php } else { ?>
<?php if ($options['mts_title_font'] != '' || $options['mts_google_title_font'] != '') { ?>
<link href="http://fonts.googleapis.com/css?family=<?php if ($options['mts_google_title_font'] != '') { ?><?php echo $options['mts_google_title_font']; ?><?php } else { ?><?php echo $options['mts_title_font']; ?><?php } ?>:400,700" rel="stylesheet" type="text/css">
<style type="text/css">
.title, h1,h2,h3,h4,h5,h6, #tabber ul.tabs li a { font-family: '<?php if ($options['mts_google_title_font'] != '') { ?><?php echo $options['mts_google_title_font']; ?><?php } else { ?><?php echo $options['mts_title_font']; ?><?php } ?>', sans-serif;}
</style>
<?php } ?>
<?php } ?>
<?php if ($options['mts_content_font'] == 'Arial') { ?>
<?php } else { ?>
<?php if ($options['mts_content_font'] != '' || $options['mts_google_content_font'] != '') { ?>
<link href="http://fonts.googleapis.com/css?family=<?php if ($options['mts_google_content_font'] != '') { ?><?php echo $options['mts_google_content_font']; ?><?php } else { ?><?php echo $options['mts_content_font']; ?><?php } ?>:400,400italic,700,700italic" rel="stylesheet" type="text/css">
<style type="text/css">
body {font-family: '<?php if ($options['mts_google_content_font'] != '') { ?><?php echo $options['mts_google_content_font']; ?><?php } else { ?><?php echo $options['mts_content_font']; ?><?php } ?>', sans-serif;}
</style>
<?php } ?>
<?php } ?>
<!--end fonts-->
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js?ver=1.6.1"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/customscript.js" type="text/javascript"></script>
<!--start lightbox-->
<?php if($options['mts_lightbox'] == '1') { ?>
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.prettyPhoto.js"></script>
<script type="text/javascript">  
jQuery(document).ready(function($) {
$("a[href$='.jpg'], a[href$='.jpeg'], a[href$='.gif'], a[href$='.png']").prettyPhoto({
slideshow: 5000, /* false OR interval time in ms */
autoplay_slideshow: false, /* true/false */
animationSpeed: 'normal', /* fast/slow/normal */
padding: 40, /* padding for each side of the picture */
opacity: 0.35, /* Value betwee 0 and 1 */
showTitle: true, /* true/false */	
social_tools: false
});
})
</script>
<?php } ?>
<!--end lightbox-->
<style type="text/css">
<?php if ($options['mts_logo'] != '') { ?>
#header h1, #header h2 {text-indent: -999em; min-width: 192px; margin-top: 25px;}
#header h1 a, #header h2 a {background: url(<?php echo $options['mts_logo']; ?>) no-repeat;min-width: 192px; display:block;min-height: 50px; line-height: 50px; }
<?php } ?>
<?php if($options['mts_bg_pattern'] != '') { ?>
body {background-image:url(<?php echo get_template_directory_uri(); ?>/images/<?php echo $options['mts_bg_pattern']; ?>.png);}
<?php } ?>
<?php if ($options['mts_color_scheme'] != '') { ?>
.mts-subscribe input[type="submit"], .readMore a, #commentform input#submit, .pnavigation2 .nav-previous a:hover, .pnavigation2 .nav-next a:hover {background-color:<?php echo $options['mts_color_scheme']; ?>; }
.pagination {border-color:<?php echo $options['mts_color_scheme']; ?>; }
.single_post a, a:hover, .textwidget a, .sidebar.c-4-12 a:hover, #copyright-note a:hover, a, .footer-widgets h3, footer .widget li a:hover, .reply a {color:<?php echo $options['mts_color_scheme']; ?>; }
<?php } ?>
<?php if($options['mts_floating_social'] == '1') { ?>
.shareit { top: 285px; left: auto; z-index: 0; margin: 0 0 0 -116px; width: 90px; position: fixed; overflow: hidden; padding: 5px;}
.share-item {margin: 2px;}
<?php } ?>
<?php if ($options['mts_layout'] == 'sclayout') { ?>
.article { float: right;
border-left:1px solid #DCDCDC;
border-right:0;
}
.lp_title{ padding-left:14px;}
#content_box{
	float: right;
    max-width: 646px;
    width: 100%;
	}
.sidebar.c-4-12 { float: left; }
<?php if($options['mts_floating_social'] == '1') { ?>
.shareit { margin: 0 635px 0;}
<?php } ?>
<?php } ?>
<?php if($options['mts_author_comment'] == '1') { ?>
.bypostauthor .comment-wrap{ border: 1px solid #C8C8C8; border-bottom: 3px solid #C8C8C8; }
.bypostauthor .comment-wrap .reply {border-bottom: 0; }
<?php } ?>
<?php echo $options['mts_custom_css']; ?>
</style>
<!--start custom CSS-->
<?php echo $options['mts_header_code']; ?>
<!--end custom CSS-->
<?php }
}
/*------------[ Social Media ]-------------*/
if ( ! function_exists( 'mts_social_media' ) ) {
	function mts_social_media() { 
	global $options
?>
         <div class="social-media">
                <?php if($options['mts_twitter_username'] != '') { ?>
                <a href="http://twitter.com/<?php echo $options['mts_twitter_username']; ?>" target="_blank"><img alt="Twitter" src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" /></a>
                <?php } ?>
                <?php if($options['mts_facebook_username'] != '') { ?>
                <a href="<?php echo $options['mts_facebook_username']; ?>" target="_blank"><img alt="Facebook" src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" /></a>
                <?php } ?>
                <?php if($options['mts_feedburner'] != '') { ?>
                <a href="<?php echo $options['mts_feedburner']; ?>" target="_blank"><img alt="Feed" src="<?php echo get_template_directory_uri(); ?>/images/rss.png" /></a>
                <?php } ?>
                <?php if($options['mts_email_id'] != '') { ?>
                <a href="mailto:<?php echo $options['mts_email_id']; ?>" target="_blank"><img alt="Email" src="<?php echo get_template_directory_uri(); ?>/images/email.png" /></a>
                <?php } ?>
         </div>
<?php }
}
/*------------[ footer ]-------------*/
if ( ! function_exists( 'mts_footer' ) ) {
	function mts_footer() { 
	global $options
?>
<!--Twitter Button Script------>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
<!--Facebook Like Button Script------>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=136911316406581";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!--start footer code-->
<?php if ($options['mts_analytics_code'] != '') { ?>
<?php echo $options['mts_analytics_code']; ?>
<?php } ?>
<!--end footer code-->
<script type="text/javascript">
jQuery(document).ready(function(e){
    (function($){			
		function auto_hight_max_val(slectortype)
		{
			var excerpt = new Array();
			var i = 0;
			$(slectortype).each(function(index, element) {
				excerpt[i] = $(this).height();
				i++;
			});		
			function max_array_val(array){
				if (array.length < 1) {
					return -1;
				}
				max_array_val = 0;
				for(var i=1; i<array.length;i++ ) {
					if(array[i] > array[max_array_val]) {
						max_array_val = i;
					}
				}
				return max_array_val;
			}
			var mav = max_array_val(excerpt);
			$(slectortype).height(excerpt[mav]);
		}
//		auto_hight_max_val('.excerpt');
		//auto_hight_max_val('.title');
		

	}(jQuery));
});
jQuery(document).ready(function(e){
    (function($){
		$('#s').attr('placeholder','Search Content');
	}(jQuery));
});
</script>
<?php }
}

/*------------[ Copyrights ]-------------*/
if ( ! function_exists( 'mts_copyrights_credit' ) ) {
	function mts_copyrights_credit() { 
	global $options
?>
<!--start copyrights-->
<div class="row" id="copyright-note">
<span>
<?php echo $options['mts_copyrights']; ?>
</span>
<!--end copyrights-->
<?php }
}

?>